it-swarm-ja.com

10.04から12.04へのアップグレード:apt / aptitudeデバッグ情報

私は言及された問題を抱えています ここ :10.04から12.04への更新中

回避策:

apt-get -f install -o APT::Immediate-Configure=false python-minimal

動作しているように見えますが、2つの問題があります。

  1. apt-get dist-upgradeを使用して製品の新しいバージョンを提供しています。上記のような支柱を使用せずに、同じ方法でOSの更新を実行することをお勧めします。
  2. 適切な構成なしでパッケージをインストールすることに慣れていないので、将来どのような問題が発生する可能性があるかを知っています。

Ubuntuを更新するための好ましい方法は、更新マネージャーを使用することですが、カスタムリポジトリも使用しており、何らかの理由で一緒に作業したくないです:)これはさらに調査が必要な別の質問ですが、apt-get dist-upgrademoreが好きです。

Python-minimalパッケージの問題点を理解したい(修正して独自のバージョンのパッケージを提供してもかまいません)apt-getからもaptitudeからもデバッグ情報を取得できませんでした、彼らが言うのは:

E:「python-minimal」で即時構成を実行できませんでした。詳細については、APT :: Immediate-Configureの下のman5apt.confを参照してください。 (2)

これは問題を解決するのに十分ではありません。

Debug::pkgProblemResolverおよびDebug::pkgDPkgPM aptフラグも試しましたが、追加情報がありません。 aptitudeには--log-levelパラメータがありますが、lucidのバージョンはそれをサポートしていないようです。

つまり、問題は、apt/aptitudeからできるだけ多くのデバッグ情報を取得するにはどうすればよいですか?dpkgエラーコード、問題の原因となる制御スクリプトなどですか?

5

幸いなことに、これは古い問題であり、広く議論されています。そのための解決策があります ここ 。基本的にそれは構成されています:

 dpkg --remove --force-all python 

 dpkg --remove --force-all python2.6-minimal 

次に、最新のDebianパッケージをダウンロードし(インストールするパッケージバージョンが利用可能な最新のものであることを確認してください。これらのバージョンは、過去のある時点で問題がなかったので、実行する必要がありました)、次のコマンドを実行します。

 dpkg --install --force-all python_2.7.1-0ubuntu5_all.deb 

 dpkg --install --force-all python-minimal_2.7.1-0ubuntu5_all.deb 

 apt-get clean 

 apt-get autoclean 

 apt-get update 

 apt-get install -f 

これを簡単にスクリプト化して、スクリプト内からリリースアップグレードを実行できます。

3
MariusMatutiae